Subject: [mpls] Suresh Krishnan's No Objection on draft-ietf-mpls-spring-entropy-label-11: (with COMMENT)

From: Suresh Krishnan <[email-masked]>
Date: Tue, 03 Jul 2018 12:35:06 -0700

Suresh Krishnan has entered the following ballot position for
draft-ietf-mpls-spring-entropy-label-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-spring-entropy-label/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

* Section 2

      ELI - Entropy Label Identifier

Isn't ELI supposed to be the Entropy Label *Indicator* that indicates that the
next label is an entropy label?

* Section 7.1.1.

In this example the label stack is stated as

<Adj_P1P2, Adj_set_P2P3, ELI1, EL1, Adj_P3P4, Adj_P4P5, Adj_P5P6, Adj_P6PE2,
VPN_label>

but the text that follows assumes that there is an entropy label for P6 to
follow. Is the example stack missing ELI2 and EL2? I think the text should be
made consistent with the label stack either way.

---

From: Loa Andersson <[email-masked]>
Date: Wed, 4 Jul 2018 09:24:00 +0200

Folks,

see inline please.

> https://datatracker.ietf.org/doc/draft-ietf-mpls-spring-entropy-label/

This is correct, both the RFC Editor style guide and RFC 6790 says
Entropy Label Indicator, and that is what it is.

Can we update this as part of the RFC Editor porocess or if we spin a
new cersion for some other reason.
> made consistent with the label stack either way.

I think this is correct - but want the author to look at it.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: <[email-masked]>
Date: Wed, 4 Jul 2018 12:02:31 +0000

Hi Suresh,

Good catches.
I will fix these in the next revision.

Brgds,

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Suresh Krishnan
Sent: Tuesday, July 03, 2018 21:35
To: The IESG
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [mpls] Suresh Krishnan's No Objection on draft-ietf-mpls-spring-entropy-label-11: (with COMMENT)

* Section 2

* Section 7.1.1.

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 4 Jul 2018 17:13:07 +0000

> On Jul 4, 2018, at 8:02 AM, [email-masked] wrote:
> 
> Hi Suresh,
> 
> Good catches.

Excellent Stephane & Loa. Thanks for addressing these issues.

Regards
Suresh